Skip to main content
DELETE
/
contracts
/
{contract_id}
Delete contract
curl --request DELETE \
  --url https://api.projectcor.com/v1/contracts/{contract_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.projectcor.com/v1/contracts/{contract_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.projectcor.com/v1/contracts/{contract_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
const url = 'https://api.projectcor.com/v1/contracts/{contract_id}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.projectcor.com/v1/contracts/{contract_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.projectcor.com/v1/contracts/{contract_id}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "id": 123,
  "client_id": 123,
  "json_integrations": {},
  "name": "<string>",
  "type": "<string>",
  "source": "<string>",
  "status": "<string>",
  "company_id": 123,
  "start": "2023-11-07T05:31:56Z",
  "end": "2023-11-07T05:31:56Z",
  "frequency": "<string>",
  "currency_id": 123,
  "currency": {
    "id": 123,
    "name": "<string>"
  },
  "url": "<string>",
  "url_name": "<string>",
  "user_positions_header_id": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contract_id
integer
required

Response

200 - application/json

Contract deleted successfully

Contract entity

id
integer

Contract ID

client_id
integer

Client ID

json_integrations

Integration payload stored as JSON

name
string

Contract name

type
string

Contract type

source
string

Source of the contract

status
string

Contract status

company_id
integer

Company ID

start
string<date-time>

Contract start date-time

end
string<date-time>

Contract end date-time

frequency
string

Contract billing frequency

currency_id
integer

Currency ID

currency
object
url
string

External URL

url_name
string

External URL name

user_positions_header_id
integer

User positions header ID

created_at
string<date-time>

Creation timestamp

updated_at
string<date-time>

Last update timestamp

deleted_at
string<date-time> | null

Deletion timestamp (soft delete)